Bug 258171 - mail/mew: Prevent .el files from being native compiled
Summary: mail/mew: Prevent .el files from being native compiled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-30 18:41 UTC by Yasuhiro Kimura
Modified: 2021-09-29 07:27 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (hiroto.kagotani)


Attachments
Patch file (22.43 KB, patch)
2021-08-30 18:41 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2021-08-30 18:41:26 UTC
Created attachment 227556 [details]
Patch file

Mew doesn't work correctly if Emacs supports native compilation and .el files are compiled to .eln ones. So prevent .el files from being native compiled by adding following lines at the end of them.

;; Local Variables:
;; no-native-compile: t
;; End:
Comment 1 Koichiro Iwao freebsd_committer 2021-09-27 01:03:31 UTC
Assign to submitter, and approved. Please take care of the same points I commented on Bug 258172.
Comment 2 Yasuhiro Kimura freebsd_committer 2021-09-28 07:30:00 UTC
(In reply to Koichiro Iwao from comment #1)

Different from bug #258172 I'm not maintainer of this port. So should I regard this bug report as approved by maintainer timeout?
Comment 3 Koichiro Iwao freebsd_committer 2021-09-28 07:38:49 UTC
(In reply to Yasuhiro Kimura from comment #2)

Indeed, maintainer's approval or timeout is required. My approval is only from committer's perspective.
Comment 4 Yasuhiro Kimura freebsd_committer 2021-09-28 07:42:26 UTC
(In reply to Koichiro Iwao from comment #3)

Then I need to add "Approved by:(tab)maintainer (timeout with 28days), meta (mentor)" to commit message. Correct?
Comment 5 Koichiro Iwao freebsd_committer 2021-09-28 07:56:58 UTC
(In reply to Yasuhiro Kimura from comment #4)

Yes. Include both in 'Approved by:' line.  AFAIK, There's no clear format to show maintainer timeout but maybe the following two are preferred.

> maintainer timeout (> 1 month)
> maintainer timeout (maintainer@example.com, > 1 months)

BTW, if maintainer timeout more than 3 months, MAINTAINER can be reset. So you can take such port in such case.
https://www.freebsd.org/portmgr/policies_contributors/
Comment 6 commit-hook freebsd_committer 2021-09-28 08:21:39 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8c8b03e3f12dadd1dbff03ab733929211ab4090d

commit 8c8b03e3f12dadd1dbff03ab733929211ab4090d
Author:     Yasuhiro Kimura <yasu@FreeBSD.org>
AuthorDate: 2021-08-30 10:47:56 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-09-28 08:20:18 +0000

    mail/mew: Prevent .el files from being native compiled

    Mew doesn't work correctly if Emacs supports native compilation and
    .el files are compiled to .eln ones. So prevent .el files from being
    native compiled by adding following lines at the end of them.

    ;; Local Variables:
    ;; no-native-compile: t
    ;; End:

    PR:             258171
    Approved by:    maintainer timeout (> 28days), meta (mentor)

 mail/mew/Makefile                            |   2 +-
 mail/mew/files/patch-no-native-compile (new) | 863 +++++++++++++++++++++++++++
 2 files changed, 864 insertions(+), 1 deletion(-)